package com.zjrs.zwnw.fxfk.blo;

import org.mohrss.leaf.core.framework.domain.blo.IBLO;
import com.zjrs.zwnw.fxfk.dto.*;
import com.zjrs.zwnw.sxgl.dto.*;

import java.util.List;

public interface SsywjkBLO extends IBLO {
    //在办业务量TOP10
    public List<Zbtop10ListDTO> getZbtop10List(Zbtop10DTO dto);
    //分布趋势受理量-近一月
    public List<FbqssllListDTO> getFbqsSllBy1Month();
    //分布趋势受理量-近三月
    public List<FbqssllListDTO> getFbqsSllBy3Month();
    //分布趋势受理量-近一周
    public List<FbqssllListDTO> getFbqsSllBy1Week();
    //各地区分布趋势受理量-近一月
    public List<FbqssllDqListDTO> getFbqsSllDqBy1Month();
    //各地区分布趋势受理量-近三月
    public List<FbqssllDqListDTO> getFbqsSllDqBy3Month();
    //各地区分布趋势受理量-近一周
    public List<FbqssllDqListDTO> getFbqsSllDqBy1Week();
    //全市业务监控
    public List<QsywjkDTO> getQsywjk();
    //全市业务监控各地区
    public List<QsywjkDqDTO> getQsywjkDq();
}
